/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PADRATEIO                                                */
/* Tabela : PADRATEIO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PADRATEIO
BEFORE INSERT OR UPDATE OR DELETE
ON PADRATEIO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPDRT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDRATEIO,0) <> NVL(:NEW.CDRATEIO,0)) OR
         (NVL(:OLD.NMRATEIO,0) <> NVL(:NEW.NMRATEIO,0)) THEN
         :NEW.DTULTATUPDRT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PADRATEIO', '', 'CDRATEIO='||:OLD.CDRATEIO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PADRATEIO MODIFY DTULTATUPDRT DEFAULT SYSDATE
/
